<div class="col col-xs-12 col-sm-12 col-md-8 col-lg-8">

<table class="table">
    <caption><?php print check_plain( $transaction[ 'name' ] ); ?></caption>

    <thead>
        <tr>
            <th>Item</th>
            <th>Price</th>
            <th>Quantity</th>
            <th>Total</th>
        </tr>
    </thead>

    <tbody>
        <?php if ( array_key_exists( 'lineitems', $transaction ) ) { print theme( 'fulcrm_shoppingcart_transaction_items', array( 'items' => $transaction[ 'lineitems' ] ) ); } ?>
    </tbody>

    <tfoot>
        <tr>
            <th colspan="3">
                Total
            </th>
            <th class="text-right">
                <?php if ( count( $transaction[ '_price' ][ 'total' ] ) ): ?>
                    <?php foreach ( $transaction[ '_price' ][ 'total' ] as $currency => $price ): ?>
                        <div><?php print $price[ 'format_total' ]; ?></div>
                    <?php endforeach; ?>
                <?php else: ?>
                    <em>free</em>
                <?php endif; ?>
            </th>
        </tr>
    </tfoot>
</table>
</div>

<div class="col col-xs-12 col-sm-12 col-md-4 col-lg-4">
    <div class="panel panel-info">
        <div class="panel-heading"><h3 class="panel-title">Information</h3></div>
        <div class="panel-body">
            <p><strong>Ordered:</strong> <?php
                    $tz = new DateTimeZone('UTC');
                    $created = DateTime::createFromFormat('Y-m-d\TH:i:s.u\Z',$transaction['created'],$timezone=$tz);
                    if ( $created )
                        print $created->format( 'j/M/Y \@ g:ia' );
                    else
                        print '<em>pending</em>';
                    ?></p>
            <p><strong>Completed:</strong> <?php
                    $tz = new DateTimeZone('UTC');
                    $completed = DateTime::createFromFormat('Y-m-d\TH:i:s.u\Z',$transaction['completed'],$timezone=$tz);
                    if ( $completed )
                        print $completed->format( 'j/M/Y \@ g:ia' );
                    else
                        print '<em>pending</em>';
                    ?></p>
            <p><strong>Invoice Sent:</strong> <?php
                    $tz = new DateTimeZone('UTC');
                    $sent = DateTime::createFromFormat('Y-m-d\TH:i:s.u\Z',$transaction['sent'],$timezone=$tz);
                    if ( $sent )
                        print $sent->format( 'j/M/Y \@ g:ia' );
                    else
                        print '<em>pending</em>';
                    ?></p>
        </div>
    </div>
    <?php print theme( 'fulcrm_shoppingcart_transaction_mailshots', array( 'transaction' => $transaction ) ); ?>
</div>
